﻿using System;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.Core.Transforms;

#if NET_CF20
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"cf.application.y2008.m04, version=0.0.0.0, culture=neutral, publickeytoken=131e7f96149d0ecb")]
#else
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"application.y2008.m04, version=0.0.0.0, culture=neutral, publickeytoken=131e7f96149d0ecb")]
#endif
#if !URT_MINCLR
[assembly: System.Security.SecurityTransparent]
[assembly: System.Security.AllowPartiallyTrustedCallers]
#endif

namespace Dss.Transforms.TransformApplication
{

    public class Transforms: TransformBase
    {

        public static object Transform_Robotics_Application_Diagram_Proxy_DiagramState_TO_Robotics_Application_Diagram_DiagramState(object transformFrom)
        {
            Robotics.Application.Diagram.DiagramState target = new Robotics.Application.Diagram.DiagramState();
            Robotics.Application.Diagram.Proxy.DiagramState from = transformFrom as Robotics.Application.Diagram.Proxy.DiagramState;
            target.MotorEnabled = from.MotorEnabled;
            return target;
        }


        public static object Transform_Robotics_Application_Diagram_DiagramState_TO_Robotics_Application_Diagram_Proxy_DiagramState(object transformFrom)
        {
            Robotics.Application.Diagram.Proxy.DiagramState target = new Robotics.Application.Diagram.Proxy.DiagramState();
            Robotics.Application.Diagram.DiagramState from = transformFrom as Robotics.Application.Diagram.DiagramState;
            target.MotorEnabled = from.MotorEnabled;
            return target;
        }


        public static object Transform_Robotics_Application_Diagram_Proxy_ActionRequest_TO_Robotics_Application_Diagram_ActionRequest(object transformFrom)
        {
            Robotics.Application.Diagram.ActionRequest target = new Robotics.Application.Diagram.ActionRequest();
            return target;
        }


        private static Robotics.Application.Diagram.Proxy.ActionRequest _instance_Robotics_Application_Diagram_Proxy_ActionRequest = new Robotics.Application.Diagram.Proxy.ActionRequest();
        public static object Transform_Robotics_Application_Diagram_ActionRequest_TO_Robotics_Application_Diagram_Proxy_ActionRequest(object ignore)
        {
            return _instance_Robotics_Application_Diagram_Proxy_ActionRequest;
        }


        public static object Transform_Robotics_Application_Diagram_Proxy_ActionResponse_TO_Robotics_Application_Diagram_ActionResponse(object transformFrom)
        {
            Robotics.Application.Diagram.ActionResponse target = new Robotics.Application.Diagram.ActionResponse();
            return target;
        }


        private static Robotics.Application.Diagram.Proxy.ActionResponse _instance_Robotics_Application_Diagram_Proxy_ActionResponse = new Robotics.Application.Diagram.Proxy.ActionResponse();
        public static object Transform_Robotics_Application_Diagram_ActionResponse_TO_Robotics_Application_Diagram_Proxy_ActionResponse(object ignore)
        {
            return _instance_Robotics_Application_Diagram_Proxy_ActionResponse;
        }

        static Transforms()
        {
            Register();
        }
        public static void Register()
        {
            AddProxyTransform(typeof(Robotics.Application.Diagram.Proxy.DiagramState), Transform_Robotics_Application_Diagram_Proxy_DiagramState_TO_Robotics_Application_Diagram_DiagramState);
            AddSourceTransform(typeof(Robotics.Application.Diagram.DiagramState), Transform_Robotics_Application_Diagram_DiagramState_TO_Robotics_Application_Diagram_Proxy_DiagramState);
            AddProxyTransform(typeof(Robotics.Application.Diagram.Proxy.ActionRequest), Transform_Robotics_Application_Diagram_Proxy_ActionRequest_TO_Robotics_Application_Diagram_ActionRequest);
            AddSourceTransform(typeof(Robotics.Application.Diagram.ActionRequest), Transform_Robotics_Application_Diagram_ActionRequest_TO_Robotics_Application_Diagram_Proxy_ActionRequest);
            AddProxyTransform(typeof(Robotics.Application.Diagram.Proxy.ActionResponse), Transform_Robotics_Application_Diagram_Proxy_ActionResponse_TO_Robotics_Application_Diagram_ActionResponse);
            AddSourceTransform(typeof(Robotics.Application.Diagram.ActionResponse), Transform_Robotics_Application_Diagram_ActionResponse_TO_Robotics_Application_Diagram_Proxy_ActionResponse);
        }
    }
}

